## org.eclipse.datatools.modelbase.sql.schema
Interface Comment

All Known Implementing Classes:
  CommentImpl

    public interface Comment

A representation of the model object 'Comment'.

The following features are supported:

- `Description`
- `SQL Object`

See Also:
  `SQLSchemaPackage.getComment()`

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`SQLObject` `getSQLObject()` Returns the value of the 'SQL Object' reference.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setSQLObject(SQLObject value)` Sets the value of the '`SQL Object`' reference.

Method Detail

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `SQLSchemaPackage.getComment_Description()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getSQLObject

    SQLObject getSQLObject()

  Returns the value of the 'SQL Object' reference. It is bidirectional and its opposite is '`Comments`'.

  If the meaning of the 'SQL Object' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Object' reference.
  See Also:
    `setSQLObject(SQLObject)`, `SQLSchemaPackage.getComment_SQLObject()`, `SQLObject.getComments()`

### setSQLObject

    void setSQLObject(SQLObject value)

  Sets the value of the '`SQL Object`' reference.

  Parameters:
    `value` - the new value of the 'SQL Object' reference.
  See Also:
    `getSQLObject()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.